Subject: Re: Trouble on building crossover compiler for Synology 8041 PPC based NAS

From: David Hawkins <[email-masked]>
Date: Tue, 08 Aug 2006 09:47:41 -0700

chun fung siu wrote:
> Hi,
>  
> I recently bought a Synology Network Attached Server DS-106e, run using 
> a "Linux 2. 4.22-uc-0" Kernel, under 8041 PPC, no "gcc" installed. I 
> want to build a crosslink gcc compiler for it in another "debian 2.6 
> kernel" linux. I find many options in the crosslink build script on ppc, 
> but can't find any option for 8041 PPC. So what option should I choose? 
> And further can I put the artifacts just compiled in my Network Attached 
> Server? So that I can compile anything directly in my NAS.

The processor is probably an *MPC8241*.

The DS101g is also an MPC8241. So this should provide you with
some useful info:

http://www.nslu2-linux.org/wiki/DS101/HomePage
http://www.nslu2-linux.org/wiki/DS101/DS101GHardware

Dave